itpp::Packet_Channel Class Reference

ADD DOCUMENTATION HERE. More...

`#include <itpp/protocol/packet_channel.h>`

## Public Member Functions

| Packet_Channel ()
| ADD DOCUMENTATION HERE.
| Packet_Channel (const double Pr, const Ttype Delay, const double Block_rate, const int Max_slots=0)
| ADD DOCUMENTATION HERE.
| ~Packet_Channel ()
| ADD DOCUMENTATION HERE.
void | set_parameters (const double Pr, const Ttype Delay, const double Block_rate, const int Max_slots)
| ADD DOCUMENTATION HERE.
void | set_errors (const ivec &Lost)
| ADD DOCUMENTATION HERE.

## Public Attributes

Slot< Packet_Channel, bool > | start
| ADD DOCUMENTATION HERE.
Slot< Packet_Channel, Link_Packet * > | input
| ADD DOCUMENTATION HERE.
Slot< Packet_Channel, int > | nof_inputs
| ADD DOCUMENTATION HERE.
Signal< Link_Packet * > | output
| ADD DOCUMENTATION HERE.
Signal< int > | input_request
| ADD DOCUMENTATION HERE.
Signal< void * > | get_nof_inputs
| ADD DOCUMENTATION HERE.

## Detailed Description

ADD DOCUMENTATION HERE.

Definition at line 52 of file packet_channel.h.

## Constructor & Destructor Documentation

## Packet_Channel() [1/2]

itpp::Packet_Channel::Packet_Channel | ( |  | ) |

ADD DOCUMENTATION HERE.

Definition at line 38 of file packet_channel.cpp.

## Packet_Channel() [2/2]

itpp::Packet_Channel::Packet_Channel | ( | const double | Pr,
|  | const Ttype | Delay,
|  | const double | Block_rate,
|  | const int | Max_slots = `0`
| ) |  |

ADD DOCUMENTATION HERE.

Definition at line 44 of file packet_channel.cpp.

References set_parameters().

## ~Packet_Channel()

itpp::Packet_Channel::~Packet_Channel | ( |  | ) |

ADD DOCUMENTATION HERE.

Definition at line 50 of file packet_channel.cpp.

## Member Function Documentation

## set_parameters()

void itpp::Packet_Channel::set_parameters | ( | const double | Pr,
|  | const Ttype | Delay,
|  | const double | Block_rate,
|  | const int | Max_slots
| ) |  |

ADD DOCUMENTATION HERE.

Definition at line 52 of file packet_channel.cpp.

References input, it_assert, nof_inputs, and start.

Referenced by Packet_Channel().

## set_errors()

void itpp::Packet_Channel::set_errors | ( | const ivec & | Lost | ) |

ADD DOCUMENTATION HERE.

Definition at line 122 of file packet_channel.cpp.

References it_assert, itpp::Array< T >::length(), and itpp::min().

## Member Data Documentation

## start

Slot<Packet_Channel, bool> itpp::Packet_Channel::start

ADD DOCUMENTATION HERE.

Definition at line 65 of file packet_channel.h.

Referenced by set_parameters().

## input

Slot<Packet_Channel, Link_Packet*> itpp::Packet_Channel::input

ADD DOCUMENTATION HERE.

Definition at line 67 of file packet_channel.h.

Referenced by set_parameters().

## nof_inputs

Slot<Packet_Channel, int> itpp::Packet_Channel::nof_inputs

ADD DOCUMENTATION HERE.

Definition at line 69 of file packet_channel.h.

Referenced by set_parameters().

## output

Signal<Link_Packet*> itpp::Packet_Channel::output

ADD DOCUMENTATION HERE.

Definition at line 73 of file packet_channel.h.

## input_request

Signal<int> itpp::Packet_Channel::input_request

ADD DOCUMENTATION HERE.

Definition at line 75 of file packet_channel.h.

## get_nof_inputs

Signal<void*> itpp::Packet_Channel::get_nof_inputs

ADD DOCUMENTATION HERE.

Definition at line 77 of file packet_channel.h.

The documentation for this class was generated from the following files:

- itpp/protocol/packet_channel.h
- itpp/protocol/packet_channel.cpp

Generated on Mon Apr 22 2024 09:45:27 for IT++ by Doxygen 1.9.8